
package demostracionfile;
import java.io.*;
import java.util.Scanner;

/**
 *
 * @author Katherine Mishell Carchi Ludeña
 * Progrma que realiza la busqueda de un archivo
 * mediante el uso de la clase file
 */
public class DemostracionFile {
    public void analizarRuta(String ruta){
        File nombre = new File (ruta);
        if(nombre.exists()){
            System.out.printf("%s%s\n%s\n%s\n%s\n%s%s\n%s%s\n%s%s\n%s%s\n%s%s",
                    nombre.getName(),"existe",(nombre.isFile()?"es un archivo":
                        "no es un archivo"),(nombre.isDirectory()?
                            "es un directorio":"no es un directorio"),(nombre.isAbsolute()?"es ruta absoluta":"no es ruta absoluta"),
                            "Ultima modificacion: ", nombre.lastModified(),"Tamanio: ",nombre.length(),"Ruta: ",nombre.getPath(),"Ruta Absoluta: ",nombre.getAbsolutePath(),"Padre: ",nombre.getParent());
            if(nombre.isDirectory()){
                String directorio[] = nombre.list();
                System.out.println("\n\nContenido del ditectorio:\n");
                for (String nombreDirectorio : directorio)
                    System.out.printf("%s\n",nombreDirectorio);
            }
        }
        else{
            System.out.printf("%s %s", ruta, "no existe.");
        }
    }
    public static void main(String[] args) {
        Scanner entrada = new Scanner (System.in);
        DemostracionFile aplicacion = new DemostracionFile();

        System.out.print("Escriba aqui el nombre del archivo o directorio: ");
        aplicacion.analizarRuta(entrada.nextLine());
    }

}
