/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package torresdehanoi;

/**
 *
 * @author Katherine Mishell Carchi Ludeña
 * Fecha: 05-04-2012
 */
public class TorresDeHanoi{
    private int numDiscos;

    public TorresDeHanoi(int discos){
        numDiscos = discos;
}
    //mueve discos de uan torre a otra, de manera recursiva
    public static void resolverTorres (int discos, int agjaOrigen, int agujaDestino, int agujaTemp) {
        if (discos == 1){
            System.out.printf("\n%d --> %d", agjaOrigen, agujaTemp, agujaDestino);
            return;
        }

        //paso recursivo -- mueve (disco-1) descos de agujaOrigen
        //a aguja temp usando agujadestino
        resolverTorres(discos-1,agjaOrigen,agujaTemp,agujaDestino);
        //mueve el ultimo disco de agujaOrigen a agujaDestino
        System.out.printf("\n%d --> %d", agjaOrigen,agujaDestino);
        resolverTorres(discos-1,agujaTemp,agujaDestino,agjaOrigen);
    }
    public static void main (String args[]){
        int agujaInicial=1;//se usa el calor 1 para indicar agujaInicial en la salida
        int agujaFinal =3;// se usa el valor 3 para indicar agujFinal en la salida
        int agujaTemp = 2;// se usa el valor 2 para indicar agujaTemp en la salida
        int totalDiscos=3;//numero de discos
        TorresDeHanoi torresDeHanoi = new TorresDeHanoi (totalDiscos);
        torresDeHanoi.resolverTorres(totalDiscos, agujaInicial,agujaFinal,agujaTemp);

    }
}

