/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ordenacion_y_recursividad;
import java.util.Random;
import java.util.Scanner;

/**
 *
 * @author miro153
 */
public class ArregloLineal {
    private int[] datos; //arreglo de valores
    private static Random generador = new Random();

    public ArregloLineal (int tamanio){
        datos = new int [tamanio ];//crea un espacio para el arreglo

        for (int i=0;i<tamanio;i++)
            datos[i]=10+generador.nextInt(90);
    }

    public int busquedaLineal (int claveBusqueda){
        for(int indice=0;indice<datos.length;indice++)
            if(datos[indice]==claveBusqueda)
                return indice;
        return -1;//no se encontro el entero
    }
    //metodo para imprimir los valores del arreglo
    public String toString(){
        StringBuilder temporal = new StringBuilder();
        for (int elemento : datos)
            temporal.append(elemento+" ");
        temporal.append("\n");//arregla el caracter de nueva linea
        return temporal.toString();
    }
    public static void main (String args[]){
        Scanner entrada = new Scanner (System.in);

        int enteroBusqueda;
        int posicion;

        //crea el arreglo y lo muestra en pantalla
        ArregloLineal arregloBusqueda = new ArregloLineal(10);
        System.out.println(arregloBusqueda);//imprime el arreglo
        System.out.print("Escriba un valor entero (-1 para terminar): ");
        enteroBusqueda = entrada.nextInt();

        while(enteroBusqueda !=-1){
            //realiza la busqueda lineal
            posicion = arregloBusqueda.busquedaLineal(enteroBusqueda);
            if(posicion == -1) //no se encontro el entero
                System.out.println("El entero "+enteroBusqueda + " no se encontro.\n");
            else //se encontro el entero
                System.out.println("el entero "+enteroBusqueda+" se encontro en la posicion "+ posicion +"\n");

            //obtiene la entrada del usuario
            System.out.print("Escriba un valor entro (-1 para terminar)");
            enteroBusqueda= entrada.nextInt();
        }
    }
}

